Package com.sun.mail.handlers

## Class message_rfc822

- java.lang.Object
- - com.sun.mail.handlers.handler_base
  - - com.sun.mail.handlers.message_rfc822

All Implemented Interfaces:
  `javax.activation.DataContentHandler`

    public class message_rfc822
    extends handler_base

Author:
  Christopher Cotton

### Constructor Summary

Constructors
`message_rfc822()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getContent​(javax.activation.DataSource ds)` Return the content.
`protected javax.activation.ActivationDataFlavor[]` `getDataFlavors()` Return an array of ActivationDataFlavors that we support.
`void` `writeTo​(java.lang.Object obj, java.lang.String mimeType, java.io.OutputStream os)` Write the object as a byte stream.

### Methods inherited from class com.sun.mail.handlers.handler_base

`getData, getTransferData, getTransferDataFlavors`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### message_rfc822

    public message_rfc822()

### Method Detail

#### getDataFlavors

    protected javax.activation.ActivationDataFlavor[] getDataFlavors()

Description copied from class: `handler_base`
Return an array of ActivationDataFlavors that we support. Usually there will be only one.

Specified by:
  `getDataFlavors` in class `handler_base`
Returns:
  array of ActivationDataFlavors that we support

#### getContent

    public java.lang.Object getContent​(javax.activation.DataSource ds)
                                throws java.io.IOException

Return the content.

Throws:
  `java.io.IOException`

#### writeTo

    public void writeTo​(java.lang.Object obj,
                        java.lang.String mimeType,
                        java.io.OutputStream os)
                 throws java.io.IOException

Write the object as a byte stream.

Throws:
  `java.io.IOException`